1

newbie here. Raspberry Pi 1 Model B. Raspbian. Had Adafruit WebIDE before.

pi@raspberrypi ~ $ node -v
Segmentation fault

tried to uninstall:

apt-get remove nodejs

and reinstall, without any luck.

I assume it's something about armv6/7 binaries mismatch, right?

failed doing this: http://joshondesign.com/2013/10/23/noderpi

and this aswell: github.com/nodesource/distributions/issues/44

Currently I'm trying the instructions on this blog post: http://stuff.stevenreid.uk/2015/03/22/install-node-js-and-grunt-on-raspbian/ but I'm not sure it's going the right way, and it's taking forever to compile.

Any help appreciated :)

4

Eventually I've used a compiled version (node.js v12.02) by Conor O'Neill that applied a patch: http://conoroneill.net/download-compiled-version-of-nodejs-0121-stable-for-raspberry-pi-here

The steps I've made:

wget http://conoroneill.net.s3.amazonaws.com/wp-content/uploads/2015/04/node-v0.12.2-linux-arm-pi.tar.gz
tar -zxvf node-v0.12.2-linux-arm-pi.tar.gz
cd node-v0.12.2-linux-arm-pi
sudo cp -R * /usr/local/
cd

Then check all is ok by typing:

node -v
npm -v
| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.